Bug 460162 - FedoraDS "with-FHS" installs init.d StartupScript in wrong location on non-RHEL/Fedora OS
FedoraDS "with-FHS" installs init.d StartupScript in wrong location on non-RH...
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
: VerifiedUpstream
Depends On:
Blocks: 389_1.2.6
  Show dependency treegraph
 
Reported: 2008-08-26 11:39 EDT by bwailea+11
Modified: 2015-12-07 11:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:32:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (15.71 KB, patch)
2010-02-26 13:48 EST, Rich Megginson
nkinder: review+
Details | Diff
patch for adminserver (15.39 KB, patch)
2010-02-26 14:05 EST, Rich Megginson
nkinder: review+
Details | Diff

  None (edit)
Description bwailea+11 2008-08-26 11:39:11 EDT
building FedoraDS on OpenSuse11,

	setenv CVSROOT ":pserver:anonymous@cvs.fedoraproject.org:/cvs/dirsec"
	cvs co -r FedoraDirSvr111 ldapserver
	cd ldapserver
	make clean
	./autogen.sh
	./configure --with-fhs
	make USE_64=1 install

the StartupScript is installed in

	ls /etc/rc.d/init.d/dirsrv
		/etc/rc.d/init.d/dirsrv

which fails,

	chkconfig -a dirsrv
		dirsrv: unknown service

on suse, /etc/rc.d & /etc/init.d are symlinked,

	ls -ald /etc/rc.d /etc/init.d
		drwxr-xr-x 12 root root 4096 2008-08-26 07:45 /etc/init.d/
		lrwxrwxrwx  1 root root    6 2008-07-22 14:09 /etc/rc.d -> init.d

resulting in,
	find /etc | grep dirsrv | grep init.d
		./init.d/init.d/dirsrv

whereas, apparently, on RHEL,

	/etc/init.d -> /etc/rc.d/init.d

so on suse, post-install currently requires simply,

	mv /etc/rc.d/init.d/dirsrv /etc/init.d/dirsrv

which results in the expected,

	chkconfig -a dirsrv
		insserv: warning: script 'dirsrv' missing LSB tags and overrides
		dirsrv                    0:off  1:off  2:off  3:on   4:off  5:on   6:off

(Note, though the "missing" LSB tags/overrides 'warning', if it matters ...)

seems that, to work on both *Suse & Fedora/RHEL, installing the startup script 'just' in /etc/init.d would be sufficient.

though, unclear whehter that's the right "compliant with LSB & FHS" solution ...
Comment 1 Rich Megginson 2010-02-26 13:48:07 EST
Created attachment 396621 [details]
patch
Comment 2 Rich Megginson 2010-02-26 14:05:27 EST
Created attachment 396634 [details]
patch for adminserver
Comment 3 Rich Megginson 2010-02-26 18:14:12 EST
To ssh://git.fedorahosted.org/git/389/admin.git
   d0dd80c..5ddb5af  master -> master
commit ea463507e3b4973fbbe7eda39b86e91d849f7611
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Fri Feb 26 12:05:31 2010 -0700
    Reviewed by: nkinder (Thanks!)
    Branch: HEAD
    Fix Description: There is no LSB or FHS standard for the init script locatio
    and it varies widely across systems and even linux distros.  I've added
    a --with-initddir (default $(sysconfig)/rc.d) so that the location can be
    specified.  Note that this changes the initdir parameter to be an absolute
    path, instead of relative to sysconfdir.  Some systems do not use /etc at al
    for this (e.g. HPUX uses /init.d).
    Platforms tested: RHEL5 x86_64
    Flag Day: yes - autotool file change
    Doc impact: no

To ssh://git.fedorahosted.org/git/389/ds.git
   9c0edff..2accc35  master -> master
commit 2accc35200d504503a9bfeffcb9a0de1b2ccc327
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Fri Feb 26 11:18:09 2010 -0700
    Reviewed by: nkinder (Thanks!)
    Branch: HEAD
    Fix Description: There is no LSB or FHS standard for the init script locatio
    and it varies widely across systems and even linux distros.  I've added
    a --with-initddir (default $(sysconfig)/rc.d) so that the location can be
    specified.  Note that this changes the initdir parameter to be an absolute
    path, instead of relative to sysconfdir.  Some systems do not use /etc at al
    for this (e.g. HPUX uses /init.d).
    Platforms tested: RHEL5 x86_64
    Flag Day: yes - autotool file change
    Doc impact: no
Comment 4 Fedora Update System 2010-02-26 21:29:56 EST
389-admin-1.1.11-0.2.a2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.2.a2.fc13
Comment 5 Fedora Update System 2010-02-26 21:30:11 EST
389-admin-1.1.11-0.2.a2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.2.a2.el5
Comment 6 Fedora Update System 2010-02-26 21:30:24 EST
389-admin-1.1.11-0.2.a2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.2.a2.fc12
Comment 7 Fedora Update System 2010-02-26 21:30:37 EST
389-admin-1.1.11-0.2.a2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.2.a2.fc11

Note You need to log in before you can comment on or make changes to this bug.